import http from "@/http/http";

enum Api {
    getFeeItemCategory = '/api/base/feeItemCategoryList',//费项类型
    getfeeItemSpecialFlag = '/api/base/feeItemSpecialFlagList',
    getfeeItemType = '/api/base/itemTypeList',
    getproduct = '/api/apiData/apiChannelList',
    getCustomert = '/api/apiData/apiAllCustomerIdsList',
    getBranchCompanyCustomers = '/api/apiData/apiBranchCompanyCustomersList',
    getFeeSetType = '/api/base/feeTypeList',
    getCurrency = '/api/base/currencyList',
    getbillRate = "/api/base/billRateList",
    getchannelProvider = "/api/base/channelProviderList",
    getcompanyEntity = "/api/base/companyEntityList",
    specialParametersList = '/api/base/specialParametersList',//特殊参数
    weightArithmeticList = '/api/base/weightArithmeticList',//重量计算方式
    unitTypeList = '/api/base/unitTypeList',//单位类型
    feeItemList = '/api/base/feeItemList',//费用类型
    costFeeItemList = '/api/base/costFeeItemList',//成本费用类型
    countTypeList = '/api/base/countTypeList',//算法
    packageTypeList = '/api/base/packageTypeList',//包装类型
    calculateUnitList = '/api/base/calculateUnitList',//计量单位
    parametersList = '/api/base/parametersList',//计费参数
    portInfoList = '/api/base/portInfoList',//口岸
    countryList = '/api/base/countryList',//国家/地区
    partitionTypeList = '/api/base/partitionTypeList',//分区类型
    pickValueTypeList = '/api/base/pickValueTypeList',//取值对比
    unitTypeIntegerList = '/api/base/unitTypeIntegerList',//计算符
    apiAllProvidersList = '/api/base/apiProvidersList',//渠道商
    apiDeliverChannelList = '/api/apiData/apiDeliverChannelList',//成本产品列表
    shareTypeList = '/api/base/shareTypeList',//分摊方式
    cycleTypeList = '/api/base/cycleTypeList',//周期类型
    jobStatusList = '/api/base/jobStatusList',//任务状态
    feeItemGetTypeList = '/api/base/feeItemGetTypeList',//费用取值类型
    specialFeeItemList = '/api/base/specialFeeItemList',//特使费用类型
    unitTypeParamList = '/api/base/unitTypeParamList',//计算符号
    operatingTypeList = '/api/base/operatingTypeList',//费用操作类型
    customerTypeList = '/api/base/customerTypeList',//费用类型
    feeDataTypeList = '/api/base/feeDataTypeList',//费用数据类型
    feeQueryTypeList = '/api/base/feeQueryTypeList',//费用查询类型
    reportModelTypeList = '/api/base/reportModelTypeList',//报表模板类型
    reportQueryDateTypeList = '/api/base/reportQueryDateTypeList',//查询时间类型
    synchronizeDataTypeList = '/api/base/synchronizeDataTypeList',//同步数据类型下拉框数据
    costFeeQueryDepartmentList = '/api/base/costFeeQueryDepartmentList', //成本费用查询部门
    companyEntityTypeList = '/api/base/companyEntityTypeList',//主体类型
    airBusinessTypeList = '/api/base/airBusinessTypeList',//航空业务类型
    airCompanyList = '/api/base/airCompanyList',//航空公司
    payableIdList = '/api/idModel/payableIdList',//应付模板名称列表
    receivableIdList = '/api/idModel/receivableIdList',//应收模板名称列表
    bookingStateList = '/api/base/bookingStateList',//订舱状态
    operateStateList = '/api/base/operateStateList',//提单操作状态
    receivableStateList = '/api/base/receivableStateList',//应收状态
    payStateList = '/api/base/payStateList',//应付状态
    ladingBillDateTypeList = '/api/base/ladingBillDateTypeList',//提单查询时间类型
    ladingBillStateTypeList = '/api/base/stateTypeList',//提单状态类型
    billCodeTypeList = '/api/base/billCodeTypeList',//单号类型
    billDateTypeList = '/api/base/billDateTypeList',//账单日期类型
    financialBillStateList = '/api/base/financialBillStateList',//应付账单状态
    billUploadFileTypeList = '/api/base/billUploadFileTypeList',//应付账单上传文件类型
    accountTypeList = '/api/base/accountTypeList',//账目类型
    compareTypeList = '/api/base/compareTypeList',//大货比价类型
    mpsCountFeeTypeList = '/api/base/mpsCountFeeTypeList',//一票多件计费方式
    differenceTypeList = '/api/base/differenceTypeList',// 差异类型接口
    dataBaseTypeList = '/api/base/dataBaseTypeList',//数据库类型
    dataPermissionTypeList = '/api/base/dataPermissionTypeList',//数据权限类型
    dataPermissionList = '/api/base/dataPermissionList',//数据权限
    customerFeeSetNameList = '/api/base/customerFeeSetNameList',//费用名称
    notifyUserTypeList = '/api/base/notifyUserTypeList',//通知人员类型
    sysUserList = '/api/base/sysUserList',//用户人员列表
    feeApprovalStatusList = '/api/base/feeApprovalStatusList',//费用审批状态接口
    approvalTypeList = '/api/base/approvalTypeList',//审批类型
    accountPeriodTypeList = '/api/base/accountPeriodTypeList',  //账期类型下拉框数据
    customerBillStatusList = '/api/base/customerBillStatusList', //客户账单状态下拉框
    mpsParametersList = '/api/base/mpsParametersList',//偏远计算符号
    getRemoteSurveyTypeList = '/api/base/getRemoteSurveyTypeList',//判断是否偏远
    getCopyDataTypeList = '/api/base/getCopyDataTypeList',//拷贝数据类型
    paymentPlatformList = '/api/base/paymentPlatformList',//支付平台下拉框数据
    allPaymentPlatformList = '/api/base/allPaymentPlatformList',//支付方式接口
    getProfitStatusList = '/api/base/getProfitStatusList',//盈利状态列表
}

//获取费项科目列表数据
export const getFeeItemCategoryListDataApi = async () => {
    return await http.get(Api.getFeeItemCategory);
}

//获取费用特殊类别数据
export const getfeeItemSpecialFlagApi = async () => {
    return await http.get(Api.getfeeItemSpecialFlag);
}


//获取费用类型数据
export const getfeeItemTypeApi = async () => {
    return await http.get(Api.getfeeItemType);
}

//获产品数据
export const getproductApi = async () => {
    return await http.get(Api.getproduct);
}

//获客户数据
export const getCustomertApi = async () => {
    return await http.get(Api.getCustomert);
}

//获取费用类型
export const getFeeSetTypeApi = async () => {
    return await http.get(Api.getFeeSetType);
}
//获取分公司信息
export const getBranchCompanyCustomersApi = async () => {
    return await http.get(Api.getBranchCompanyCustomers);
}

//获取币种
export const getCurrencyApi = async () => {
    return await http.get(Api.getCurrency);
}

//获取账单汇率版本
export const getbillRateApi = async () => {
    return await http.get(Api.getbillRate);
}

// 获取渠道商
export const getChannelProviderApi = async () => {
    return await http.get(Api.getchannelProvider);
}
// 获取公司主体
export const getCompanyEntityApi = async () => {
    return await http.get(Api.getcompanyEntity);
}

/**
 * 获取特殊参数下拉列表框数据
 */
export const getSpecialParametersListApi = async () => {
    return await http.get(Api.specialParametersList)
}

/**
 * 获取重量计算方式列表
 */
export const geteightArithmeticListApi = async () => {
    return await http.get(Api.weightArithmeticList)
}

/**
 * 获取单位类型列表
 */
export const getUnitTypeListApi = async () => {
    return await http.get(Api.unitTypeList)
}

/**
 * 获取费用类型列表
 */
export const getFeeItemListApi = async () => {
    return await http.get(Api.feeItemList)
}

/**
 * 获取成本费用类型列表
 */
export const getCostFeeItemListApi = async () => {
    return await http.get(Api.costFeeItemList)
}

/**
 * 获取包装类型列表
 */
export const getPackageTypeListApi = async () => {
    return await http.get(Api.packageTypeList)
}

/**
 * 获取算法列表
 */
export const getCountTypeListApi = async () => {
    return await http.get(Api.countTypeList)
}

/**
 * 获取计量单位列表
 */
export const getCalculateUnitListApi = async () => {
    return await http.get(Api.calculateUnitList)
}
/**
 * 获取偏远计算符号列表
 */
export const getMpsParametersListApi = async () => {
    return await http.get(Api.mpsParametersList)
}
/**
 * 是否偏远
 */
export const getRemoteSurveyTypeListApi = async () => {
    return await http.get(Api.getRemoteSurveyTypeList)
}
/**
 * 获取计费参数列表
 */
export const getParametersListApi = async () => {
    return await http.get(Api.parametersList)
}

/**
 * 获取口岸列表
 */
export const getPortInfoListApi = async () => {
    return await http.get(Api.portInfoList)
}

/**
 * 获取国家/地区列表
 */
export const getCountryListApi = async () => {
    return await http.get(Api.countryList)
}

/**
 * 获取分区类型列表
 */
export const getPartitionTypeListApi = async () => {
    return await http.get(Api.partitionTypeList)
}

/**
 * 获取取值对比列表
 */
export const getPickValueTypeListApi = async () => {
    return await http.get(Api.pickValueTypeList)
}

/**
 * 获取计算符列表
 */
export const unitTypeIntegerListApi = async () => {
    return await http.get(Api.unitTypeIntegerList)
}

/**
 * 渠道商信息
 */
export const allProvidersListApi = async () => {
    return await http.get(Api.apiAllProvidersList)
}

/**
 * 成本产品列表
 */
export const deliverChannelListApi = async () => {
    return await http.get(Api.apiDeliverChannelList)
}

/**
 * 分摊方式
 */
export const shareTypeListApi = async () => {
    return await http.get(Api.shareTypeList)
}

/**
 * 周期类型
 */
export const cycleTypeListApi = async () => {
    return await http.get(Api.cycleTypeList)
}

/**
 * 任务状态
 */
export const jobStatusListApi = async () => {
    return await http.get(Api.jobStatusList)
}

/**
 * 费用取值类型
 */
export const feeItemGetTypeListApi = async () => {
    return await http.get(Api.feeItemGetTypeList)
}

/**
 * 特殊费用类型
 */
export const specialFeeItemListApi = async () => {
    return await http.get(Api.specialFeeItemList)
}

/**
 * 计算符号
 */
export const unitTypeParamListApi = async () => {
    return await http.get(Api.unitTypeParamList)
}

/**
 * 费用类型
 */
export const customerTypeListApi = async () => {
    return await http.get(Api.customerTypeList)
}

/**
 * 费用操作类型
 */
export const operatingTypeListApi = async () => {
    return await http.get(Api.operatingTypeList)
}

/**
 * 费用数据类型
 */
export const feeDataTypeListApi = async () => {
    return await http.get(Api.feeDataTypeList)
}

/**
 * 费用查询类型
 */
export const feeQueryTypeListApi = async () => {
    return await http.get(Api.feeQueryTypeList)
}

/**
 * 报表模板类型
 */
export const reportModelTypeListApi = async () => {
    return await http.get(Api.reportModelTypeList)
}

/**
 * 查询时间类型
 */
export const reportQueryDateTypeListApi = async () => {
    return await http.get(Api.reportQueryDateTypeList)
}

/**
 * 同步数据类型下拉框数据
 */
export const synchronizeDataTypeListApi = async () => {
    return await http.get(Api.synchronizeDataTypeList)
}

/**
 * 成本费用查询部门下拉框数据
 */
export const costFeeQueryDepartmentListApi = async () => {
    return await http.get(Api.costFeeQueryDepartmentList)
}

/**
 * 主体类型下拉框数据
 */
export const companyEntityTypeListApi = async () => {
    return await http.get(Api.companyEntityTypeList)
}

/**
 * 航空业务类型
 */
export const airBusinessTypeListApi = async () => {
    return await http.get(Api.airBusinessTypeList)
}

/**
 * 航空公司
 */
export const airCompanyListApi = async () => {
    return await http.get(Api.airCompanyList)
}

/**
 * 应收模板名称列表
 */
export const receivableIdListApi = async () => {
    return await http.get(Api.receivableIdList)
}

/**
 * 应付模板名称列表
 */
export const payableIdListApi = async () => {
    return await http.get(Api.payableIdList)
}

/**
 * 订舱状态
 */
export const bookingStateListApi = async () => {
    return await http.get(Api.bookingStateList)
}
/**
 * 提单操作状态
 */
export const operateStateListApi = async () => {
    return await http.get(Api.operateStateList)
}
/**
 * 应收状态
 */
export const receivableStateListApi = async () => {
    return await http.get(Api.receivableStateList)
}
/**
 * 应付状态
 */
export const payStateListApi = async () => {
    return await http.get(Api.payStateList)
}
/**
 * 提单查询时间类型
 */
export const ladingBillDateTypeListApi = async () => {
    return await http.get(Api.ladingBillDateTypeList)
}
/**
 * 提单状态类型
 */
export const ladingBillStateTypeListApi = async () => {
    return await http.get(Api.ladingBillStateTypeList)
}

/**
 * 单号类型
 */
export const billCodeTypeListApi = async () => {
    return await http.get(Api.billCodeTypeList)
}
/**
 * 账单日期类型
 */
export const billDateTypeListApi = async () => {
    return await http.get(Api.billDateTypeList)
}
/**
 * 应付账单状态
 */
export const financialBillStateListApi = async () => {
    return await http.get(Api.financialBillStateList)
}
/**
 * 应付账单上传文件类型
 */
export const billUploadFileTypeListApi = async () => {
    return await http.get(Api.billUploadFileTypeList)
}
/**
 * 账目类型
 */
export const accountTypeListApi = async () => {
    return await http.get(Api.accountTypeList)
}
/**
 * 大货比价类型
 */
export const compareTypeListApi = async () => {
    return await http.get(Api.compareTypeList)
}
/**
 * 一票多件计费方式
 */
export const mpsCountFeeTypeListApi = async () => {
    return await http.get(Api.mpsCountFeeTypeList)
}
/**
 * 差异类型接口
 */
export const differenceTypeListApi = async () => {
    return await http.get(Api.differenceTypeList)
}
/**
 * 数据库类型
 */
export const dataBaseTypeListApi = async () => {
    return await http.get(Api.dataBaseTypeList)
}
/**
 * 数据权限类型
 */
export const dataPermissionTypeListApi = async () => {
    return await http.get(Api.dataPermissionTypeList)
}
/**
 * 数据权限
 */
export const dataPermissionListApi = async () => {
    return await http.get(Api.dataPermissionList)
}

/**
 * 费用名称
 */
export const customerFeeSetNameListApi = async () => {
    return await http.get(Api.customerFeeSetNameList)
}
/**
 * 通知人员类型
 */
export const notifyUserTypeListApi = async () => {
    return await http.get(Api.notifyUserTypeList)
}
/**
 * 用户人员列表
 */
export const sysUserListApi = async () => {
    return await http.get(Api.sysUserList)
}
/**
 * 费用审批状态接口
 */
export const feeApprovalStatusListApi = async () => {
    return await http.get(Api.feeApprovalStatusList)
}
/**
 * 审批类型接口
 */
export const approvalTypeListApi = async () => {
    return await http.get(Api.approvalTypeList)
}
/**
 * 账期类型下拉框数据
 */
export const accountPeriodTypeListApi = async () => {
    return await http.get(Api.accountPeriodTypeList)
}
/**
 * 客户账单状态下拉框
 */
export const customerBillStatusListApi = async () => {
    return await http.get(Api.customerBillStatusList)
}
/**
 * 拷贝数据类型列表
 */
export const getCopyDataTypeListApi = async () => {
    return await http.get(Api.getCopyDataTypeList)
}
/**
 * 支付平台下拉框数据
 */
export const getPaymentPlatformList = async () => {
    return await http.get(Api.paymentPlatformList)
}

/**
 * 支付方式类别数据
 */
export const getAllPaymentPlatformList = async () => {
    return await http.get(Api.allPaymentPlatformList)
} 

/**
 * 盈利状态列表
 */
export const getProfitStatusList = async () => {
    return await http.get(Api.getProfitStatusList)
}